> For the complete documentation index, see [llms.txt](https://docs.valohai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valohai.com/automation-overview/rest-api.md).

# REST API

Valohai is built on RESTful APIs, enabling programmatic access to all platform functionality. This API-first architecture allows you to automate workflows, build custom integrations, and orchestrate operations beyond the UI. For example, with API calls you can:

* Build custom integrations
* Trigger executions from CI/CD pipelines
* Sync training metadata to internal dashboards
* Programmatically manage your entire ML workflow.

#### Next Steps

* [Get started with Valohai APIs](/automation-overview/rest-api/getting-started.md)
* [Examples](/automation-overview/rest-api/examples.md) for different use cases


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valohai.com/automation-overview/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
